{% extends 'base.html' %}

{% block content %}
  <h2>List Items</h2>
  <form method="post">
    {% csrf_token %}
    {% for field in form %}
      <p>
        {{ field.label_tag }}<br>
        {{ field }}
        {% if field.help_text %}
          <small style="color: grey">{{ field.help_text }}</small>
        {% endif %}
        {% for error in field.errors %}
          <p style="color: red">{{ error }}</p>
        {% endfor %}
      </p>
    {% endfor %}
    <button type="submit">List</button>
  </form>

    <h2 style="color: blue"> Item List: </h2>
        {% for item in items %}
            <p> owner : {{item.owner.email}}</p>
            <p> title : {{item.title}}</p>
            <p> artist : {{item.artist}}</p>
            <p> genre : {{item.genre}}</p>
            <p> year : {{item.year}}</p>
            <p> type : {{item.type}}</p>
        {% endfor %}
{% endblock %}